Skip to main content

Bulk Clusters by sourceId

Legacy Documentation

You are viewing legacy documentation. These APIs are maintained for partners with existing implementations. New projects should use v2.

View the current GraphQL API Reference → | View the current REST API Reference →

POST 

/clusters/bulk/sourceId

The bulk endpoints offer an efficient way of importing/updating large amounts of clusters with just a single API call. When using the bulk sourceId endpoint, the clusters are identified by sourceId, source and language. If a cluster doesn't already exist, it will be created. If it does exist, the cluster will be updated.

Fields​

NameRequired
clusters (array of cluster objects)yes
sourceIdyes
sourceyes
languageyes
namesyes
descriptionsno
shortDescriptionsno
parentyes
metadataTitlesno
metadataDescriptionsno
metadataKeywordsno
metadataCanonicalUrlsno
priorityno

Directives​

NameDescriptionFields
skipIfNotEmptyOn update, skip updating fields of an existing category that are not emptyarray of field names
e.g. names, descriptions, etc.
skipMoveOnUpdateOn update, skip moving an existing category in the parent category providedempty array
mergeTranslationsOnUpdateOn update, delete all translation for a category that are not provided in the payloadempty array

What are directives?

Request​

Responses​